import Vue from 'gcloud-oauth-vue/src/utils/permit';
import App from './App.vue'

import router from 'gcloud-oauth-vue/src/router'
import './router'
import store from './store'

import Element from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

import config from 'gcloud-core-vue/src/core/config.js'

import VueCropper from 'vue-cropper'
Vue.use(VueCropper)

import "gcloud-oauth-vue/src/router/permission"
import 'gcloud-oauth-vue/src/icons' // icon

import 'normalize.css/normalize.css' // a modern alternative to CSS resets
import 'gcloud-oauth-vue/src/styles/element-variables.scss'
import 'gcloud-oauth-vue/src/styles/index.scss' // global css
import 'gcloud-oauth-vue/src/styles/style.scss' // global css

Vue.use(Element, { size: 'medium'});

import {tokenOpts,tokenStreamOpts} from 'gcloud-oauth-vue/src/grpc/token'
import {oauthOpts} from 'gcloud-oauth-vue/src/grpc/oauth'
Vue.config.productionTip = false
config.oauthOpts = oauthOpts;
config.baseOpts = tokenOpts;
config.baseStreamOpts = tokenStreamOpts;
config.baseUrl = process.env.VUE_APP_BASE_API;
config.oauthUrl = process.env.VUE_APP_OAUTH_API;


// // 引入的包
import GcloudDict from 'gcloud-dict-vue/src/index.js'
Vue.use(GcloudDict,config);
import GcloudFile from 'gcloud-file-vue/src/index.js'
Vue.use(GcloudFile,config);
import GcloudOAuth  from 'gcloud-oauth-vue/src/index.js'
Vue.use(GcloudOAuth,config)
import GcloudXycz from '../src/index.js'
Vue.use(GcloudXycz,config)
import GcloudUcenter  from 'gcloud-ucenter-vue/src/index.js'
Vue.use(GcloudUcenter,config)

store.dispatch('settings/title',process.env.VUE_APP_TITLE);
store.dispatch('settings/shortTitle',process.env.VUE_APP_SHORT_TITLE);

store.dispatch('settings/logo','');
document.title = process.env.VUE_APP_TITLE;

import plugin from '../src/components/index'
// import subject from '../src/components/subject/index'
// vue过滤器
import filters from "../src/utils/filter"

Vue.use(filters)
// Vue.use(components)
Vue.use(plugin)
new Vue({
  Vue,
  router,
  store,
  render: h => h(App)
}).$mount('#app')
