/* Layout */
import Layout from 'gcloud-oauth-vue/src/layout/index.vue'

const ucenterRouters = [
    {
      path: '/private/ucenter',
      component: Layout,
      children: [
        {
          path: 'user',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-user/src/main.vue'),
          name: 'UcenterUser'
        },
        {
          path: 'role',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-role/src/main.vue'),
          name: 'UcenterRole'
        },
        {
          path: 'privilege',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-privilege/src/main.vue'),
          name: 'UcenterPrivilege'
        },
        {
          path: 'resource',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-resource/src/main.vue'),
          name: 'UcenterResource'
        },
        {
          path: 'organ',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-organ/src/main.vue'),
          name: 'UcenterOrgan'
        },
        {
          path: 'module',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-module/src/main.vue'),
          name: 'UcenterModule'
        },
        {
          path: 'operation',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-operation/src/main.vue'),
          name: 'UcenterOperation'
        },
        {
          path: 'log',
          component: () => import('gcloud-ucenter-vue/packages/ucenter-log/src/main.vue'),
          name: 'UcenterLog'
        },
        {
          path: '/private/profile',
          component: () => import('gcloud-oauth-vue/packages/gcloud-profile/src/main.vue'),
          name: 'GcloudProfile',
          meta:{title :"个人中心" , affix:false },
        }
      ]
    },
    { path: '*',
      redirect: '/404',
      hidden: true,
    }
  ]
  
  export  { ucenterRouters };