import { mofClient,pubClient, regionClient} from '../xycz_request'
import {StringValue} from './basic_wrappers'
import {dictClient} from 'gcloud-dict-vue/src/request.js';
import { DictTypePk,DictPK} from 'gcloud-dict-vue/src/gcloud/dict/dict_message_pb';
// 财政区划code转名称
export const cityName = async (code) => {
  let name;
  await mofClient.findByMofDivCode(StringValue.of(code)).then(response => {
    name = response.toObject().mofDivCodeList;
  })
  return name;
}
export const cityList = async (code) => {
  let list;
  await regionClient.findParentListByAreaCode(StringValue.of(code)).then(response => {
    list = response.toObject().areaCodeList
  })
  return list;
}
// 字典转名称
export const dictName = async (type, code) => {
  // console.log(type, code)
  let name
  let dictPK = new DictPK()
  dictPK.setDictType(type)
  dictPK.setDictCode(code)
  await dictClient.findDictEntry(dictPK).then(response => {
      name = response.toObject().dictName;
      // console.log(name)
  })
  return name;
}

// 通过code查询财政区划名称
export const cityNameList = async (code) => {
  let nameList;
  await mofClient.findNameByMofDivCode(StringValue.of(code)).then(response => {
    nameList = response.toObject().mofDivName
  })
  return nameList;
}
// 支出功能科目code查名称
export const expFuncName = async (code) => {
  let name;
  await pubClient.findTPubFuncNameByDictCode(StringValue.of(code)).then(response => {
    name = response.toObject().value
  })
  return name;
}
// 支出功能科目code查父级code
export const expFuncAllCode = async (code) => {
  let codeList;
  await pubClient.findTPubFuncByDictCode(StringValue.of(code)).then(response => {
    codeList = response.toObject().dictCodeList
  })
  return codeList;
}
// 政府支出经济分类科目code查名称
export const pubGovExpName = async (code) => {
  let name;
  await pubClient.findTPubGovExpNameByDictCode(StringValue.of(code)).then(response => {
    name = response.toObject().value
  })
  console.log(name)
  return name;
}
// 政府支出经济分类科目code查父级code
export const pubGovExpAllCode = async (code) => {
  let codeList;
  await pubClient.findTPubGovExpByDictCode(StringValue.of(code)).then(response => {
    codeList = response.toObject().dictCodeList
  })
  return codeList;
}
// 根据层级字典的code查询名称
export const levelDictCode = async (code) => {
  let name;
  await dictClient.findLaysDictEntry(StringValue.of(code)).then(response => {
    name = response.toObject().value
  })
  console.log(name)
  return name;
}
// 预算单位code查父级code
export const getLevelUnit = async (code) => {
  let codeList;
  // console.log(pubClient.findTPubAgencyCodeListByCode)
  await pubClient.findTPubAgencyCodeListByCode(StringValue.of(code)).then(response => {
    console.log(response.toObject())
    codeList = response.toObject().dictCodeList
  })
  return codeList;
}
// 预算单位code查name
export const getLevelUnitName = async (code) => {
  let codeList;
  await pubClient.findTPubAgencyByCode(StringValue.of(code)).then(response => {
    // console.log(response.toObject())
    codeList = response.toObject().dictName
  })
  return codeList;
}

//用户类型枚举转字典
export const getEnumerationToDict = async (code) => {
  // console.log(code)
  if (code == 0) {
    return 'agency'
  }else if(code == 1){
    return 'mof'
  }
}