import {
  UUIDValue,
  BigDecimalValue
} from '../gcloud/xyuser/gcloud/protobuf/basic_pb'
// ../gcloud/zyc/lht/api/gcloud/protobuf/basic_pb
// 表格数据过滤器
export function toDate(value) {
  var date = new Date(value);
  var Y = date.getFullYear() + '-';
  var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
  var D = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
  var h = date.getHours() + ':';
  var m = date.getMinutes() + ':';
  var s = date.getSeconds();
  return (Y + M + D)
}
export function toDateTohms(value) {
  var date = new Date(value);
  var Y = date.getFullYear() + '-';
  var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
  var D = date.getDate() < 10 ? '0' + date.getDate() : date.getDate();
  var h = date.getHours() < 10 ? '0' + date.getHours() : date.getHours();
  var m = date.getMinutes() < 10 ? '0' +  date.getMinutes()  :  date.getMinutes() ;
  var s = date.getSeconds() < 10 ? '0' + date.getSeconds()  : date.getSeconds();
  return (Y + M + D+" "+h+':' +m+':'+s)
}

export function getYMDHMS(value) {
  let time = new Date(value)
  let year = time.getFullYear()
  let month = time.getMonth() + 1
  let date = time.getDate()
  let hours = time.getHours()
  let minute = time.getMinutes()
  let second = time.getSeconds()

  if (month < 10) { month = '0' + month }
  if (date < 10) { date = '0' + date }
  if (hours < 10) { hours = '0' + hours }
  if (minute < 10) { minute = '0' + minute }
  if (second < 10) { second = '0' + second }
  return year + '-' + month + '-' + date + ' ' + hours + ':' + minute + ':' + second
}
export function getWanYuan(value) {
  // return BigDecimalValue.prototype.getWan(value)
  if (value.value) {
    // return BigDecimalValue.prototype.getWan(value.value)
    return BigDecimalValue.prototype.getWan(value)
  } else {
    return 0
  }
}

export function moneyValue(value) {
  // return BigDecimalValue.prototype.getWan(value)
  if (value instanceof Object) {
    // return BigDecimalValue.prototype.getWan(value.value)
    return value.value
  } else {
    return value
  }
}

let list = [{
    name: 'toDate',
    fn: toDate
  },
  {
    name: 'getWanYuan',
    fn: getWanYuan
  },
  {
    name: 'moneyValue',
    fn: moneyValue
  },
  {
    name: 'toDateTohms',
    fn: toDateTohms
  },
  {
    name: 'getYMDHMS',
    fn: getYMDHMS
  },
];


export default {
  install(Vue, opt) {
    list.forEach(item => {
      Vue.filter(item.name, item.fn);
    });
  }
};