// 随机颜色
export const randomColor = (colorList) => {
  let i = Math.floor(Math.random() * (colorList.length - 1));
  return colorList[i];
}
// 判断左固定还是右固定
export function vaildData(fixedLeftList, fixedRightList, prop) {
  if (fixedRightList.indexOf(prop) > -1) {
    return 'right'
  } else if (fixedLeftList.indexOf(prop) > -1) {
    return 'left'
  }
}

// 处理数据
export const dataSort = (data) => {
  let max = data[0].depth
  for (let i = 0, ilen = data.length; i < ilen; i++) {
    data[i].children = []
    if (data[i].depth > max) {
      max = data[i].depth;
    }
  }

  function dataRank() {
    if (max == 1) {
      return data
    } else {
      data.forEach(element => {
        if (element.depth == max) {
          let parid = element.parentId
          data.forEach(ele => {
            if (parid == ele.dictId) {
              ele.children.push(element)
            }
          })
        }
      })
      max = max - 1
      dataRank()
    }
  }
  dataRank()
  let newData = []
  data.forEach(element => {
    if (element.depth == 1) {
      newData.push(element)
    }
  })
  getTreeData(newData)

  function getTreeData(data) {
    data.forEach(item => {
      if (item.children.length > 0) {
        getTreeData(item.children);
      } else {
        item.children = undefined;
      }
    })
  }
  // // let indexData = []
  // newData.forEach((item,key)=>{
  //     item.index = key+1;
  //     if(item.children){
  //       let childrenArr = item.children
  //       childrenArr.forEach((e,key)=>{
  //         e.index =key+1
  //       })
  //     }
  // })
  return newData

}
// 默认设置 左固定|右固定
export function fixFilter(data, backData) {
  data.forEach(ele => {
    if (ele.fixLeft == true) {
      return backData.fixedLeftList.push(ele.prop)
    }
    if (ele.fixRight == true) {
      return backData.fixedRightList.push(ele.prop)
    }
  });
}

export function blobToBase64(blob) {
  return new Promise((resolve, reject) => {
    const fileReader = new FileReader();
    fileReader.onload = (e) => {
      resolve(e.target.result);
    };
    // readAsDataURL
    fileReader.readAsDataURL(blob);
    fileReader.onerror = () => {
      reject(new Error('blobToBase64 error'));
    };
  });
}

export function dataURLtoFile (base64, fileName){

  // var arr = dataurl.split(','),
  //     mime = arr[0].match(/:(.*?);/)[1],
  //     bstr = atob(arr[1]),
  //     n = bstr.length,
  //     u8arr = new Uint8Array(n);
  // while (n--) {
  //     u8arr[n] = bstr.charCodeAt(n);
  // }
  // return new File([u8arr], filename, { type: mime });
  // const base64ToFile = (base64, fileName) => {
  let arr = base64.split(','),
    type = arr[0].match(/:(.*?);/)[1],
    bstr = atob(arr[1]),
    n = bstr.length,
    u8arr = new Uint8Array(n);
  while (n--) {
    u8arr[n] = bstr.charCodeAt(n);
  }
  return new File([u8arr], fileName, {
    type
  });
  // };
}